org.eclipse.gef.fx.swt.controls

## Class FXSimpleLinearGradientPicker

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.gef.fx.swt.controls.FXSimpleLinearGradientPicker

All Implemented Interfaces:
  Drawable

    public class FXSimpleLinearGradientPicker
    extends Composite

The `FXSimpleLinearGradientPicker` allows the selection of two colors from which a gradient is constructed.

### Property Summary

All Methods Instance Methods Concrete Methods
`Property<LinearGradient>` `simpleLinearGradient` Returns a writable property for the simple linear gradient.

### Field Summary

Fields
`static String` `SIMPLE_LINEAR_GRADIENT_PROPERTY` Property name used in change events related to `simpleLinearGradientProperty()`.

### Fields inherited from class org.eclipse.swt.widgets.Control

`view`

### Constructor Summary

Constructors
Constructor and Description
`FXSimpleLinearGradientPicker(Composite parent, Color color1, Color color2)` Constructs a new `FXSimpleLinearGradientPicker`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LinearGradient` `createSimpleLinearGradient(Color c1, Color c2)` Creates a simple color gradient from the given start color to the given end color.
`LinearGradient` `getSimpleLinearGradient()` Returns the currently selected simple gradient.
`static boolean` `isSimpleLinearGradient(Paint paint)` Returns `true` if the given `Paint` is a "simple" gradient, i.e. it has exactly 2 stops.
`void` `setSimpleLinearGradient(LinearGradient simpleLinearGradient)` Changes the currently selected gradient to the given value.
`Property<LinearGradient>` `simpleLinearGradientProperty()` Returns a writable property for the simple linear gradient.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Property Detail

#### simpleLinearGradient

    public Property<LinearGradient> simpleLinearGradientProperty

Returns a writable property for the simple linear gradient.

See Also:
  `getSimpleLinearGradient()`, `setSimpleLinearGradient(LinearGradient)`

### Field Detail

#### SIMPLE_LINEAR_GRADIENT_PROPERTY

    public static final String SIMPLE_LINEAR_GRADIENT_PROPERTY

Property name used in change events related to `simpleLinearGradientProperty()`.

See Also:
  Constant Field Values

### Constructor Detail

#### FXSimpleLinearGradientPicker

    public FXSimpleLinearGradientPicker(Composite parent,
                                        Color color1,
                                        Color color2)

Constructs a new `FXSimpleLinearGradientPicker`.

Parameters:
  `parent` - The parent `Composite`.
  `color1` - The first color of the initial simple `LinearGradient`.
  `color2` - The second color of the initial simple `LinearGradient`.

### Method Detail

#### createSimpleLinearGradient

    public static LinearGradient createSimpleLinearGradient(Color c1,
                                                            Color c2)

Creates a simple color gradient from the given start color to the given end color.

Parameters:
  `c1` - The start `Color`.
  `c2` - The end `Color`.
Returns:
  The resulting `LinearGradient`.

#### isSimpleLinearGradient

    public static boolean isSimpleLinearGradient(Paint paint)

Returns `true` if the given `Paint` is a "simple" gradient, i.e. it has exactly 2 stops. Otherwise returns `false`.

Parameters:
  `paint` - The `Paint` in question.
Returns:
  `true` if the given `Paint` is a simple gradient, otherwise `false`.

#### getSimpleLinearGradient

    public LinearGradient getSimpleLinearGradient()

Returns the currently selected simple gradient.

Returns:
  The currently selected simple gradient.

#### setSimpleLinearGradient

    public void setSimpleLinearGradient(LinearGradient simpleLinearGradient)

Changes the currently selected gradient to the given value.

Parameters:
  `simpleLinearGradient` - The new simple `LinearGradient` to select.

#### simpleLinearGradientProperty

    public Property<LinearGradient> simpleLinearGradientProperty()

Returns a writable property for the simple linear gradient.

See Also:
  `getSimpleLinearGradient()`, `setSimpleLinearGradient(LinearGradient)`